FORMAX DEVELOPER API
  1. NSDL E-KYC PAN Card API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
    • Recharge Transaction
    • Recharge Callback
    • Recharge Status
    • Complaint
    • Operator List
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
      POST
    • Redirect URL
      GET
    • Incomplete URL
      GET
    • Response
      GET
    • Transaction Status
      POST
    • PAN Status
      POST
    • Android SDK
      VIEW
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. NSDL E-KYC PAN Card API

Transaction Status

POST
https://api.formaxpay.com/api/nsdl/txn_status
This API is used to check the current status of an NSDL PAN application transaction using the Formax Order ID or Partner Order ID. It helps partners verify whether the PAN application was successful, pending, or failed, along with financial and acknowledgement details.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/nsdl/txn_status' \
--header 'Authorization: Basic UVRNRlRKckJjRWt5RnBETGtCSGpkV0dMYnFBclFwbkE6Rm9ybWF4QDEyMw==' \
--header 'Content-Type: application/json' \
--data-raw '{
	"order_id": "NSDL45996093750000GYXZS"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "SUCCESS",
    "data": {
        "txn_status": "SUCCESS",
        "txn_description": "Transaction Successful",
        "order_id": "NSDL45996093750000GYXZS",
        "p_order_id": "T08935546875000TSVAD",
        "err_msg": "",
        "ack_no": "990019702724986",
        "order_amount": 107,
        "txn_type": "DR",
        "opening_bal": 4812.1,
        "txn_amount": 95.6,
        "closing_bal": 4716.5,
        "timestamp": "2022-05-28 16:52:34"
    }
}
Modified at 2025-12-24 12:52:30
Previous
Response
Next
PAN Status
Built with